# dotfiles

nix flake config! this is just used on my personal computer

## users

this flake is built upon a single user system for all hosts, enforced by [`modules/user.nix`](./modules/user.nix). this makes it alot easier to make moduels that use nixos and `home-manager`

## hosts

each host should have these files:
  - `default.nix`, contains everything relating to the basic system
  - `hardware.nix`, hardware configuration.

## todo

- move common config such as bootloader and networking settings to [`default.nix`](./default.nix)
- flake-parts (hopefully we can merge the 2 repositories once we find a user solution)
- find out why nwg-drawer's overlay feature doesn't work... [log and see?](https://github.com/nwg-piotr/nwg-drawer?tab=readme-ov-file#logging)